Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class StructuredEdit

Field Summary
`long` | `editedTime`

Constructor Summary
`StructuredEdit()`

Method Summary
`boolean` | `addEdit(UndoableEdit edit)`
`boolean` | `canUndo()`
`long` | `editedTime()`
`boolean` | `isInProgress()`

Constructor Detail

### StructuredEdit

    StructuredEdit()

Method Detail

### addEdit

    public boolean addEdit(UndoableEdit edit)

### canUndo

    public boolean canUndo()

### editedTime

    long editedTime()

### isInProgress

    public boolean isInProgress()